
/* Layout Mobile first */

/* Reseteando margin y padding que viene por defecto para que no haya confunciones despues */
*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    
}
/* Definiendo variables en*/
:root{
    --primary-blue-100: hsl(225, 100%, 94%);
    --primary-blue-700: hsl(245, 75%, 52%);
    --regular-blue-50: hsl(225, 100%, 98%);
    --regular-gray-600: hsl(224, 23%, 55%);
    --regular-blue-950: hsl(223, 47%, 23%);
}

body{
    font-family: "Red Hat Display", sans-serif;
    font-size: 16px;
    background-color: var(--primary-blue-100);
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    height: 100vh;
    padding: 25px;
    background-image: url("../images/pattern-background-mobile.svg");
    
    background-repeat: no-repeat;
    background-position: top;
    background-size: contain;
}

.card-plan{
    width: 90%;
    max-width: 330px;
    border-radius: 20px;
    overflow: hidden;
    background-color: var(--regular-blue-50);
}

.card-plan img{
    width: 100%;
}

.card-plan__info{
    display: flex;
    justify-content: center;
    flex-direction: column;
    align-items: center;
    padding: 25px;
    gap: 25px;
}

.card-plan__info h3{
    font-size: 25px;
    font-weight: 900;
    color: var(--regular-blue-950);
}

.card-plan__info p{
    text-align: center;
    color: var(--regular-gray-600);
    font-weight: 500;
    line-height: 25px;
}

.card-plan__details{
    width: 100%;
    display: flex;
    justify-content: space-between;
    align-items: center;
    background-color: var(--regular-blue-50);
    padding: 15px;
    border: 1px solid var(--primary-blue-100);
    border-radius: 15px;
    font-size: 14px;
}

.card-plan__price p:nth-child(1){
    color: var(--regular-blue-950);
    font-weight: 900;
}
    
.card-plan__details img{
    width: 35px;
    height: 35px;
}

.card-plan__details a{
    font-weight: 700;
    font-size: 14px;
}

.card-plan__details a:hover{
    text-decoration: none;
}
    

.btn-pay{
    font-weight: 900;
    width: 100%;
    padding:15px 0;
    font-size: 13px;
    background-color: var(--primary-blue-700);
    color: var(--regular-blue-50);
    border: none;
    border-radius: 12px;
    text-align: center;
    text-decoration: none;
}

.btn-pay:hover{
    background-color: var(--regular-blue-950);
}

.btn-cancel{
    color: var(--regular-gray-600);
    width: auto;
    padding: 0;
    background-color: transparent;
    text-decoration: none;
    font-weight: 900;
    font-size: 14px;
}

.btn-cancel:hover{
    color: var(--primary-blue-700);
    
}

.attribution{
    text-align: center;
    margin-top: 20px;
    font-size: 18px;
}

.attribution a{
    text-decoration: none;
    color: var(--regular-gray-600);    
}

.attribution a:nth-of-type(2){
    color: var(--primary-blue-700);
    font-weight: 700;
}
               
/* Layout desktop */

@media (min-width: 800px) {
    body{
        background-image: url(../images/pattern-background-desktop.svg);
        background-position: top;
        background-repeat: no-repeat;
        background-size: contain;
    }
}





